gdata.tlslite.integration.AsyncStateMachine | index /build/buildd/python-gdata-2.0.18+dfsg/src/gdata/tlslite/integration/AsyncStateMachine.py

`A state machine for using TLS Lite with asynchronous I/O.`

Classes

``

AsyncStateMachine

class AsyncStateMachine

``

`This is an abstract class that's used to integrate TLS Lite with
asyncore and Twisted.
This class signals wantsReadsEvent() and wantsWriteEvent(). When
the underlying socket has become readable or writeable, the event
should be passed to this class by calling inReadEvent() or
inWriteEvent(). This class will then try to read or write through
the socket, and will update its state appropriately.
This class will forward higher-level events to its subclass. For
example, when a complete TLS record has been received,
outReadEvent() will be called with the decrypted data.
`

Methods defined here:

__init__(self)

inReadEvent(self)
  `Tell the state machine it can read from the socket.`

inWriteEvent(self)
  `Tell the state machine it can write to the socket.`

outCloseEvent(self)
  `Called when a close operation completes.
  May be overridden in subclass.`

outConnectEvent(self)
  `Called when a handshake operation completes.
  May be overridden in subclass.`

outReadEvent(self, readBuffer)
  `Called when a read operation completes.
  May be overridden in subclass.`

outWriteEvent(self)
  `Called when a write operation completes.
  May be overridden in subclass.`

setCloseOp(self)
  `Start a close operation.`

setHandshakeOp(self, handshaker)
  `Start a handshake operation.
  @type handshaker: generator
  @param handshaker: A generator created by using one of the
  asynchronous handshake functions (i.e. handshakeServerAsync, or
  handshakeClientxxx(..., async=True).`

setServerHandshakeOp(self, **args)
  `Start a handshake operation.
  The arguments passed to this function will be forwarded to
  L{tlslite.TLSConnection.TLSConnection.handshakeServerAsync}.`

setWriteOp(self, writeBuffer)
  `Start a write operation.
  @type writeBuffer: str
  @param writeBuffer: The string to transmit.`

wantsReadEvent(self)
  `If the state machine wants to read.
  If an operation is active, this returns whether or not the
  operation wants to read from the socket. If an operation is
  not active, this returns None.
  @rtype: bool or None
  @return: If the state machine wants to read.`

wantsWriteEvent(self)
  `If the state machine wants to write.
  If an operation is active, this returns whether or not the
  operation wants to write to the socket. If an operation is
  not active, this returns None.
  @rtype: bool or None
  @return: If the state machine wants to write.`